What are Markers?
Markers are typically used to represent incidents like reported suspicious activity or other key events during remote flight operations, and will show up as an incident in the map view and left panel of Remote Flight Deck for DFR Command customers.
How can I interact with Markers?
Skydio’s Markers API has full CRUD capabilities that enable you to:
- Upsert markers: Create a marker on the map when a new incident occurs. If an event's details change (e.g., new information comes in or the location needs to be adjusted), you can update the existing marker using its uuid.
- Get a single marker: Get a marker’s details by its uuid.
- Delete markers: If an incident has been responded to or is no longer relevant, you can delete the marker by its uuid to remove the incident from the map.
- List markers: Get a list of all markers or search for markers before or after a timestamp.
What is “Upsert”?
"Upsert" is a combination of "Update" and "Insert." When you "upsert" a marker, you’re either creating a new marker if it doesn’t exist, or updating an existing one if it already exists in the system. The Skydio API automatically handles this based on whether the uuid matches an existing marker. You may provide a uuid in the request, or Skydio will automatically assign a uuid and return it in the response so you can make updates to the corresponding marker in the future.
- Create: If no uuid is provided or a marker with the specified uuid doesn’t exist, it will be created with the details you provide.
- Update: If a marker with the same uuid already exists, it will be updated with the new details, such as the description, event time, or location.
This approach ensures that you always have the latest information on the map, without creating duplicate markers.
What Information Does A Marker Show?

A mapping of the body parameters from Upsert Marker API to the UI shown in Remote Flight Deck. Fields marked in blue are body params of the API, and items marked in grey are calculated by Skydio.
Video Walkthrough
Guide to Upsert Marker API Fields
| Field | Type | Required? | Description | Guidelines | Example |
|---|---|---|---|---|---|
| area | string | The area that the marker is associated with. | Can be a geographic region or administrative zone. | Downtown | |
| description | string | ✅ | Detailed description of the marker that will appear in the marker details. | Description may be a further explanation of the incident or any additional details that may aid in the operation. To add a new line in the description, please use the ‘\n’ character. | 11:32 AM, 1/7/25: Canvassing Crotona Park. 11:21 AM, 1/7/25: Child's backpack was discovered at coordinates 37.543761, -122.431187. 11:12 AM, 1/7/25: Child was last seen. Wearing a red shirt, jeans, and a white hat. |
| event_time | date-time | ✅ | The time of the event that the marker is associated with. | Uses ISO 8601 format. | 2025-01-29T15:30:00Z |
| latitude | number | ✅ | Latitude in degrees. | Between -90 and 90. | 37.543752 |
| longitude | number | ✅ | Longitude in degrees. | Between -180 and 180. | -122.431193 |
| code (under marker_details) | string | The incident type code. | 10-10H2 | ||
| incident_id (under marker_details) | string | The identifier of the incident. | Can be a case number, incident number, etc. | 134682570 | |
| priority (under marker_details) | string | The priority of the incident. | P0 | ||
| source_name | string | Partner application name. | Fusus | ||
| title | string | A short title for the marker that will appear on the list view for the marker. | Title should be brief and representative of the incident. We recommend incident codes be prepended in the title so pilots can quickly identify the incident, but the title format is ultimately up to the agency. | 10-10H2: Possible Missing Person | |
| type | string | ✅ | The type of the marker. This will affect how the marker is displayed on the map view. | Currently, only the INCIDENT type is supported. | INCIDENT |
| uuid | string | This is the field that is used to identify your marker. One will be automatically assigned to the marker if this field is not filled out. | a5b3d20f-0915-477-9741-ad595d9803e | ||
| version | number | A number that represents the version of the marker. | Updates may proceed without a version specified. However, once the version field is filled out at any point, the value must be incremented in order for the marker to be updated. Any updates with a version less than or equal to the current version will be ignored. This field may be useful if you want stricter update control, or if you expect to send updates out of order. Visual reference provided in appendix below. | 1 |
Appendix

Version field visual reference.
